/*
 *  Library initialization.
 *  Copyright © 2011, 2021 Nick Bowler
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <config.h>
#include <stdio.h>
#include <assert.h>
#include <glthread/lock.h>

#include "cdecl-internal.h"

static void initialize(void)
{
	bindtextdomain(PACKAGE, LOCALEDIR);
	bindtextdomain("bison-runtime", BISON_LOCALEDIR);
}

void cdecl__init_i18n(void)
{
	gl_once_define(static, initialized);

	int err = glthread_once(&initialized, initialize);
	assert(err == 0);
}
